> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List integrations for a tenant, including last sync + circuit breaker snapshots.

> Integration summaries, including last sync and circuit breaker snapshots

### Path parameters

<ParamField path="tenant_id" type="string" required>
  Tenant identifier
</ParamField>

### Response

`object[]` — each element:

<ResponseField name="id" type="string" required>
  Integration identifier in snake\_case (crate::http::integrations::IntegrationId), e.g. `shopify`, `netsuite`, `dcl`, `fishbowl`, `capacity`, `stateset_api`, `amazon`, `tiktok`, `walmart`
</ResponseField>

<ResponseField name="name" type="string" required />

<ResponseField name="category" type="string" required>
  Category slug (marketplace, erp\_oms, wms, threepl\_us, threepl\_intl, returns, internal)
</ResponseField>

<ResponseField name="configured" type="boolean" required />

<ResponseField name="lastSync" type="object">
  <Expandable title="lastSync">
    <ResponseField name="jobId" type="string (uuid)" required />

    <ResponseField name="state" type="string" required>
      Job state (crate::http::jobs::JobState)
    </ResponseField>

    <ResponseField name="createdAt" type="string (date-time)" required />

    <ResponseField name="startedAt" type="string (date-time)" />

    <ResponseField name="finishedAt" type="string (date-time)" />

    <ResponseField name="error" type="string" />

    <ResponseField name="metricLabel" type="string" />

    <ResponseField name="metricCount" type="integer" />

    <ResponseField name="failedCount" type="integer" />
  </Expandable>
</ResponseField>

<ResponseField name="circuitBreaker" type="object">
  <Expandable title="circuitBreaker">
    <ResponseField name="state" type="string" required />

    <ResponseField name="failures" type="integer" required />

    <ResponseField name="successes" type="integer" required />

    <ResponseField name="consecutiveFailures" type="integer" required />

    <ResponseField name="lastFailureAgeSeconds" type="integer" />

    <ResponseField name="openedAgeSeconds" type="integer" />
  </Expandable>
</ResponseField>

<ResponseField name="sparkline" type="integer[]" required>
  Most recent activity for the integration (oldest to newest)
</ResponseField>

<ResponseField name="successRatePct" type="number">
  Success rate for finished jobs over the sample window
</ResponseField>

### Status codes

| Code  | Meaning                                                                  |
| ----- | ------------------------------------------------------------------------ |
| `200` | Integration summaries, including last sync and circuit breaker snapshots |
| `401` | Unauthorized                                                             |

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/integrations' \
    --header 'x-stateset-api-key: YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "name": "Two-Person Tent",
      "category": "standard",
      "configured": true,
      "lastSync": {
        "jobId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "state": "queued",
        "createdAt": "2026-08-31T14:22:05Z",
        "startedAt": "2026-08-31T14:22:05Z",
        "finishedAt": "2026-08-31T14:22:05Z",
        "error": "string",
        "metricLabel": "string",
        "metricCount": 1,
        "failedCount": 1
      },
      "circuitBreaker": {
        "state": "closed",
        "failures": 1,
        "successes": 1,
        "consecutiveFailures": 1,
        "lastFailureAgeSeconds": 250,
        "openedAgeSeconds": 250
      },
      "sparkline": [
        1
      ],
      "successRatePct": 7.5
    }
  ]
  ```
</ResponseExample>
